package eu.etaxonomy.taxeditor.editor.handler;


import org.eclipse.core.expressions.PropertyTester;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.TreeNode;

import eu.etaxonomy.cdm.model.molecular.Sequence;
import eu.etaxonomy.cdm.model.molecular.SingleRead;
import eu.etaxonomy.taxeditor.editor.EditorUtil;



/**
 * Tests types of specimens to add items to the context menu.
 * 
 * @author pplitzner
 * @author BenStoever
 */
public class SpecimenPropertyTester extends PropertyTester {
    private static final String SEQUENCE = "isSequence";
    private static final String SINGLE_READ = "isSingleRead";

    
    public SpecimenPropertyTester() {}

    
    /* (non-Javadoc)
     * @see org.eclipse.core.expressions.IPropertyTester#test(java.lang.Object, java.lang.String, java.lang.Object[], java.lang.Object)
     */
    /** {@inheritDoc} */
    @Override
    public boolean test(Object receiver, String property, Object[] args, Object expectedValue) {
        if (receiver instanceof IStructuredSelection) {
            IStructuredSelection selection = (IStructuredSelection) receiver;
            TreeNode treeNodeOfSelection = EditorUtil.getTreeNodeOfSelection(selection);
            if (treeNodeOfSelection!=null) {
                if (SEQUENCE.equals(property)) {
                    return isSequence(treeNodeOfSelection.getValue());
                }
                else if (SINGLE_READ.equals(property)) {
                	return isSingleReadAlignment(treeNodeOfSelection.getValue());
                }
            }
        }
        return false;
    }

    
	private boolean isSequence(Object object) {
    	return (object instanceof Sequence);
	}

    
	private boolean isSingleReadAlignment(Object object) {
    	return (object instanceof SingleRead);
    }
}
