/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.handler.alignmenteditor;


import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import eu.etaxonomy.taxeditor.editor.molecular.AlignmentEditor;



/**
 * Handler that creates the consensus sequence from all single read sequences in the active instance
 * of {@link AlignmentEditor}. A previously present consensus sequence will be overwritten.
 *
 * @author Ben Stöver
 * @date 19.06.2015
 * @see UpdateConsensusSequenceHandler
 * @see AlignmentEditor#createConsensusSequence()
 */
public class CreateConsensusSequenceHandler extends AbstractAlignmentEditorHandler {
    @Override
    public void doExecute(ExecutionEvent event, AlignmentEditor editor) throws ExecutionException {
        editor.createConsensusSequence();
    }
}
