// $Id$
/**
* Copyright (C) 2015 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.handler.alignmenteditor;


import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import eu.etaxonomy.taxeditor.editor.molecular.AlignmentEditor;
import eu.etaxonomy.taxeditor.model.MessagingUtils;



/**
 * Handler that cuts the base call sequence of a pherogram attached to the current sequence on the left
 * of the current selection or cursor position.
 *
 * @author Ben Stöver
 * @date 15.06.2015
 */
public class CutPherogramLeftHandler extends AbstractAlignmentEditorHandler {
    @Override
    public void doExecute(ExecutionEvent event, AlignmentEditor editor) throws ExecutionException {
        String errorMessage = editor.cutPherogramLeft();
        if (errorMessage != null) {
            MessagingUtils.errorDialog("Unable to cut base call sequence", this, errorMessage, "eu.etaxonomy.taxeditor.editor", null, false);  //TODO set pluginID
        }
    }
}
