/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.handler.alignmenteditor;


import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import eu.etaxonomy.taxeditor.editor.molecular.AlignmentEditor;



/**
 * Reverse complements the single read sequence in an active {@link AlignmentEditor}, where the alignment cursor
 * is currently located.
 *
 * @author Ben Stöver
 */
public class ReverseComplementHandler extends AbstractAlignmentEditorHandler {
    @Override
    public void doExecute(ExecutionEvent event, AlignmentEditor editor) throws ExecutionException {
        editor.reverseComplementSelectedSequences();
    }
}
