// $Id$
/**
* Copyright (C) 2015 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.handler.alignmenteditor;


import info.bioinfweb.libralign.pherogram.PherogramComponent;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import eu.etaxonomy.taxeditor.editor.molecular.AlignmentEditor;
import eu.etaxonomy.taxeditor.editor.molecular.PherogramViewPart;



/**
 * Toggles whether probability values (substitution, overcall and undercall) should be displayed
 * in pherogram areas of {@link AlignmentEditor} or {@link PherogramViewPart}.
 *
 * @author Ben Stöver
 * @date 23.06.2015
 */
public class ToggleShowPherogramProbabilitiesHandler extends AbstractPherogramComponentHandler {
    @Override
    public void doExecute(ExecutionEvent event, PherogramComponent component) throws ExecutionException {
        component.getFormats().toggleShowProbabilityValues();
    }
}
