// $Id$
/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.molecular;


import java.util.UUID;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IPersistableElement;



/**
 * @author pplitzner
 * @author Ben Stöver
 * @date 04.08.2014
 */
public class AlignmentEditorInput implements IEditorInput {
    private static final String name = "AlignmentEditor";


    private final UUID sequenceNodeUuid;


    public AlignmentEditorInput(UUID sequenceNodeUuid) {
		super();
		this.sequenceNodeUuid = sequenceNodeUuid;
	}


	/* (non-Javadoc)
     * @see org.eclipse.core.runtime.IAdaptable#getAdapter(java.lang.Class)
     */
    @Override
    public Object getAdapter(Class adapter) {
        // TODO Auto-generated method stub
        return null;
    }


    /* (non-Javadoc)
     * @see org.eclipse.ui.IEditorInput#exists()
     */
    @Override
    public boolean exists() {
        // TODO Auto-generated method stub
        return false;
    }


    /* (non-Javadoc)
     * @see org.eclipse.ui.IEditorInput#getImageDescriptor()
     */
    @Override
    public ImageDescriptor getImageDescriptor() {
        // TODO Auto-generated method stub
        return null;
    }


    /* (non-Javadoc)
     * @see org.eclipse.ui.IEditorInput#getName()
     */
    @Override
    public String getName() {
        return name;
    }


    /* (non-Javadoc)
     * @see org.eclipse.ui.IEditorInput#getPersistable()
     */
    @Override
    public IPersistableElement getPersistable() {
        return null;
    }


    /* (non-Javadoc)
     * @see org.eclipse.ui.IEditorInput#getToolTipText()
     */
    @Override
    public String getToolTipText() {
        return name;
    }


	/**
	 * Returns the {@link UUID} of the sequence CDM node that should be edited by the {@link AlignmentEditor} this object
	 * is used with.
	 *
	 * @return the uuid of the CDM node to work on
	 */
	public UUID getSequenceNodeUuid() {
		return sequenceNodeUuid;
	}


	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((sequenceNodeUuid == null) ? 0 : sequenceNodeUuid.hashCode());
		return result;
	}


	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
            return true;
        }
		if (obj == null) {
            return false;
        }
		if (getClass() != obj.getClass()) {
            return false;
        }
		AlignmentEditorInput other = (AlignmentEditorInput) obj;
		if (sequenceNodeUuid == null) {
			if (other.sequenceNodeUuid != null) {
                return false;
            }
		} else if (!sequenceNodeUuid.equals(other.sequenceNodeUuid)) {
            return false;
        }
		return true;
	}
}
