/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.molecular;


import info.bioinfweb.libralign.dataarea.implementations.pherogram.PherogramArea;
import info.bioinfweb.tic.input.TICMouseAdapter;
import info.bioinfweb.tic.input.TICMouseEvent;

import org.eclipse.ui.PartInitException;

import eu.etaxonomy.taxeditor.editor.handler.ShowPherogramHandler;
import eu.etaxonomy.taxeditor.model.MessagingUtils;



/**
 * Listens to mouse events on data areas displaying a pherogram in {@link AlignmentEditor}.
 *
 * @author Ben Stöver
 * @date 25.11.2014
 */
public class PherogramMouseListener extends TICMouseAdapter {
	private final PherogramArea area;


	public PherogramMouseListener(PherogramArea area) {
		super();
		this.area = area;
	}


	@Override
	public boolean mousePressed(TICMouseEvent event) {
		if (event.getClickCount() == 2) {  // Double click
			try {
			    ShowPherogramHandler.showPherogram(area.getModel());
			}
			catch (PartInitException e) {
                MessagingUtils.errorDialog("Unable to create pherogram view", null, e.getLocalizedMessage(),
                        "eu.etaxonomy.taxeditor.editor",  e, false);  //TODO set pluginID
			}
            return true;
		}
		else {
		    return false;
		}
	}
}
